# loadWithXhr

#### loadWithXhr(options) → Promise.<Object>
Core/loadWithXhr.js 56

  Asynchronously loads the given URL. Returns a promise that will resolve to the result once loaded, or reject if the URL failed to load. The data is loaded using XMLHttpRequest, which means that in order to make requests to another origin, the server must have Cross-Origin Resource Sharing (CORS) headers enabled.

  Name | Type | Description
  --- | --- | ---

  `options`

  Object

  Object with the following properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `url` | String | Promise.<String> |  | The URL of the data, or a promise for the URL.
  `responseType` | String |  | optional The type of response. This controls the type of item returned.
  `method` | String | `'GET'` | optional The HTTP method to use.
  `data` | String |  | optional The data to send with the request, if any.
  `headers` | Object |  | optional HTTP headers to send with the request, if any.
  `overrideMimeType` | String |  | optional Overrides the MIME type returned by the server.

  ##### Returns:

  a promise that will resolve to the requested data when loaded.

  ##### Example:

      // Load a single URL asynchronously. In real code, you should use loadBlob instead.
      Cesium.loadWithXhr({
          url : 'some/url',
          responseType : 'blob'
      }).then(function(blob) {
          // use the data
      }).otherwise(function(error) {
          // an error occurred
      });

  ##### See:

  - loadArrayBuffer
  - loadBlob
  - loadJson
  - loadText
  - Cross-Origin Resource Sharing
  - CommonJS Promises/A